com.ihr.xbrl.util

## Class PasswordsVaultConfigurationManager

- java.lang.Object
- - com.ihr.xbrl.util.PasswordsVaultConfigurationManager

-     public class PasswordsVaultConfigurationManager
      extends java.lang.Object

  This class maintains a serialized vault of user names and passwords to be used by any other Reporting Standard application when authentication is required

  Passwords are encrypted/decrypted automatically so the user will not see the password written in the file.

  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordsVaultConfigurationManager(java.lang.String propertiesFileName)` Instantiates a new passwords vault configuration manager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delPassword(java.lang.String host, java.lang.String protocol)` Del password.
    `java.util.Vector<java.util.Vector<java.lang.String>>` | `getCredentials()` Retuns stored credentials in order to facilitate a GUI to represent the vault content.
    `static java.lang.String` | `getDefaultPropertiesFileName()` Gets the default properties file name.
    `java.net.PasswordAuthentication` | `getPasswordAuthentication(java.lang.String host, java.lang.String protocol)` Gets the password authentication.
    `java.util.Properties` | `getProxyProperties()` Gets the proxy properties.
    `void` | `savePassword(java.lang.String user, char[] password, java.lang.String host, java.lang.String protocol)` Save password.
    `void` | `setProxyProperties(java.util.Properties newProperties)` Sets the proxy properties.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordsVaultConfigurationManager

          public PasswordsVaultConfigurationManager(java.lang.String propertiesFileName)

      Instantiates a new passwords vault configuration manager.
      Parameters:
        `propertiesFileName` - the properties file name

  - ### Method Detail

    - #### getDefaultPropertiesFileName

          public static java.lang.String getDefaultPropertiesFileName()

      Gets the default properties file name.
      Returns:
        the default properties file name

    - #### getProxyProperties

          public java.util.Properties getProxyProperties()

      Gets the proxy properties.
      Returns:
        the proxy properties

    - #### setProxyProperties

          public void setProxyProperties(java.util.Properties newProperties)

      Sets the proxy properties.
      Parameters:
        `newProperties` - the new proxy properties

    - #### getPasswordAuthentication

          public java.net.PasswordAuthentication getPasswordAuthentication(java.lang.String host,
                                                                  java.lang.String protocol)

      Gets the password authentication.
      Parameters:
        `host` - the host
        `protocol` - the protocol
      Returns:
        the password authentication

    - #### getCredentials

          public java.util.Vector<java.util.Vector<java.lang.String>> getCredentials()

      Retuns stored credentials in order to facilitate a GUI to represent the vault content.

      The returned value is a Vector of Vectors where the nested Vector contains three string, the Host, the Protocol and the UserId

      Returns:
        Vector<Vector<String>>

    - #### delPassword

          public void delPassword(java.lang.String host,
                         java.lang.String protocol)

      Del password.
      Parameters:
        `host` - the host
        `protocol` - the protocol

    - #### savePassword

          public void savePassword(java.lang.String user,
                          char[] password,
                          java.lang.String host,
                          java.lang.String protocol)

      Save password.
      Parameters:
        `user` - the user
        `password` - the password
        `host` - the host
        `protocol` - the protocol